version: "3"

services:
  app:
    container_name: app
    image: bitpin-back:${BUILD_VERSION}
    command: gunicorn --bind 0.0.0.0:8000 --workers=8 --timeout=30000 --log-level=debug bitpin.wsgi:application
    volumes:
      - /opt/bitpin-interview-task/bitpin:/app/bitpin
      - /opt/bitpin-interview-task/bitpin/static:/app/static
      - /opt/bitpin-interview-task/bitpin/media:/app/media
    restart: always
    environment:
      - DEBUG=True
    ports:
      - "127.0.0.1:8000:8000"
    depends_on:
      - db
    networks:
      - public_network

  db:
    image: postgres:12.0-alpine
    container_name: db
    environment:
      - POSTGRES_DB=db_name
      - POSTGRES_USER=db_user
      - POSTGRES_PASSWORD=db_password
    volumes:
      - db_volume:/var/lib/postgresql/data
    restart: always
    ports:
      - "5432:5432"
    networks:
      - public_network

volumes:
  db_volume:
    external: true

networks:
  public_network:
    external: false
